import data from "./data.js";

const container = document.querySelector(".slide-container");
const nextBtn = document.querySelector(".next-btn");
const prevBtn = document.querySelector(".prev-btn");

if (data.length === 1) {
	nextBtn.style.display = "none";
	prevBtn.style.display = "none";
}
let people = [...data];
if (data.length === 2) {
	people = [...data, ...data];
}

container.innerHTML = people.map((person, slideIndex) => {
	const {
		img, name, text
	} = person;
	let position = "next";
	if (slideIndex === 0) {
		position = "active";
	}
	if (slideIndex === people.length - 1) {
		position = "last";
	}
	if (data.length <= 1) {
		position = "active";
	}
	return `<article class="slide ${position}">
            <img src="${img}"alt="${name}"/>
            <h2>${name}</h2>
            <p>${text}</p>
            </article>`;
}).join("");

const startSlider = (type) => {
	const active = document.querySelector(".active");
	const last = document.querySelector(".last");
	let next = active.nextElementSibling;
	if (!next) {
		next = container.firstElementChild;
	}
	active.classList.remove(["active"]);
	last.classList.remove(["last"]);
	next.classList.remove(["next"]);
	if (type === "prev") {
		active.classList.add("next");
		last.classList.add("active");
		next = last.previousElementSibling;
		if (!next) {
			next = container.lastElementChild;
		}
		next.classList.remove(["next"]);
		next.classList.add("last");
		return;
	}
	active.classList.add("last");
	last.classList.add("next");
	next.classList.add("active");
};

nextBtn.addEventListener("click", () => {
	startSlider();
});

prevBtn.addEventListener("click", () => {
	startSlider("prev");
});